stages:
  - test
  - publish

image:
  name: node:12.18.3
  entrypoint: []

test:
  stage: test
  script:
    - npm install
    - npm run lint
    # - npm test
publish:
  stage: publish
  script:
    - npm config set '//gitlab.com/api/v4/packages/npm/:_authToken' "${CI_JOB_TOKEN}"
    - npm config set '//gitlab.com/api/v4/projects/20821732/packages/npm/:_authToken' "${CI_JOB_TOKEN}"
    - npm publish
  only:
    - master
